db4o |

# ExtObjectContainer.MigrateFrom Method

aids migration of objects between ObjectContainers.

void MigrateFrom(
ObjectContainer objectContainer
);

#### Parameters

objectContainer
  the com.db4o.ObjectContainer objects are to be migrated from or

      null

  to denote that migration is completed.

#### Remarks

aids migration of objects between ObjectContainers.
When objects are migrated from one ObjectContainer to another, it is desirable to preserve virtual object attributes such as the object version number or the UUID. Use this method to signal to an ObjectContainer that it should read existing version numbers and UUIDs from another ObjectContainer. This method should also be used during the Defragment. It is included in the default implementation supplied in Defragment.java/Defragment.cs.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace